Build #8 for hspresent-0.2.2

[all reports]

Package hspresent-0.2.2
Install DependencyFailed vty-3.0.2
Docs NotTried
Tests NotTried
Time submitted 2016-12-31 02:50:32.311293 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies array-0.5.1.1, base-4.9.0.0, bytestring-0.10.8.1, vty-3.0.2
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring vty-3.0.2...
Building vty-3.0.2...
Failed to install vty-3.0.2
Build log ( /home/builder/.cabal/logs/vty-3.0.2.log ):
cabal: Entering directory '/tmp/cabal-tmp-26137/vty-3.0.2'
Configuring vty-3.0.2...
Building vty-3.0.2...
Preprocessing library vty-3.0.2...

Graphics/Vty.hs:1:16: warning:
    -fffi is deprecated: use -XForeignFunctionInterface or pragma {-# LANGUAGE ForeignFunctionInterface #-} instead

Graphics/Vty/Cursor.hs:1:16: warning:
    -fffi is deprecated: use -XForeignFunctionInterface or pragma {-# LANGUAGE ForeignFunctionInterface #-} instead
[1 of 4] Compiling Graphics.Vty.Types ( Graphics/Vty/Types.hs, dist/build/Graphics/Vty/Types.o )
[2 of 4] Compiling Graphics.Vty.LLInput ( Graphics/Vty/LLInput.hs, dist/build/Graphics/Vty/LLInput.o )

Graphics/Vty/LLInput.hs:71:9: error:
    • Variable not in scope: catch :: IO Char -> (t0 -> IO Char) -> t
    • Perhaps you meant data constructor ‘Catch’ (imported from System.Posix.Signals)
cabal: Leaving directory '/tmp/cabal-tmp-26137/vty-3.0.2'
cabal: Error: some packages failed to install:
hspresent-0.2.2 depends on vty-3.0.2 which failed to install.
vty-3.0.2 failed during the building phase. The exception was:
ExitFailure 1